import os
import sys
import nustest

schedName = os.environ.get('schedName')
if schedName == "None":
    schedName = None
x1PPM = os.environ.get('x1PPM')
xnPPM = os.environ.get('xnPPM')
outName = os.environ.get('outName')
print schedName, x1PPM,xnPPM,outName

pars={}
pars['labels']=['HN','15N','CA']
pars['fdsp'] = False
pars['refH'] = 4.773
pars['prange'] = [float(x1PPM), float(xnPPM)]
pars['tdcomb'] = 'echo-antiecho'
pars['phases'] = [[-156.4, 0.0], [2.4, 0], [0.0, 0.0]]
pars['threshold'] = 0.5
pars['negI'] = [False, False, False]
pars['negP'] = [False, False, True]

fidRootDir = os.getcwd()
datasetDir = os.getcwd()
datasetFileName = os.path.join(datasetDir,'a_hnca.nv')

nustest.execNUS(fidRootDir, datasetFileName, schedName,  pars, None)
nustest.saveToPipe(datasetFileName, outName)
